Bug 862299 - [webadmin] Host demands to be in maintenance in case power management adding (only non-SPM)
[webadmin] Host demands to be in maintenance in case power management adding ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Oved Ourfali
Pavel Stehlik
infra
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-02 10:54 EDT by Pavel Stehlik
Modified: 2016-02-10 14:06 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:04:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pwr-mgmt (73.26 KB, image/png)
2012-10-02 10:54 EDT, Pavel Stehlik
no flags Details

  None (edit)
Description Pavel Stehlik 2012-10-02 10:54:05 EDT
Created attachment 620329 [details]
pwr-mgmt

Description of problem:
 In case host is non-SPM and Up: try to add PM to it. There is msg:
"Error:

srh-206:

    Cannot edit Host. Host parameters cannot be modified while Host is operational.
    Please switch Host to Maintenance mode first."
In case host is SPM the message doesn't appear.


Version-Release number of selected component (if applicable):
si19.1

How reproducible:


Steps to Reproduce:
1. see above
2.
3.
  
Actual results:
see att image

Expected results:
PM should be added without host maintenance mode 

Additional info:
engine.log:
==============================
2012-10-02 16:44:52,835 ERROR [org.ovirt.engine.core.utils.ObjectIdentityChecker] (ajp-/127.0.0.1:8009-7) [27a6fd46] Field otpValidity can not be updated when status is Up
2012-10-02 16:44:52,835 WARN  [org.ovirt.engine.core.utils.ObjectIdentityChecker] (ajp-/127.0.0.1:8009-7) [27a6fd46] ObjectIdentityChecker.IsUpdateValid:: Not updatable field 'otpValidity' was updated
2012-10-02 16:44:52,836 WARN  [org.ovirt.engine.core.bll.UpdateVdsCommand] (ajp-/127.0.0.1:8009-7) [27a6fd46] CanDoAction of action UpdateVds failed. Reasons:VDS_STATUS_NOT_VALID_FOR_UPDATE,VAR__ACTION__UPDATE,VAR__TYPE__HOST
Comment 3 Oved Ourfali 2012-10-03 07:03:33 EDT
Posted patch:
http://gerrit.ovirt.org/#/c/8324
Comment 4 Oved Ourfali 2012-10-03 09:42:12 EDT
Commit: 3bcdb751d14f9826345f372e2e412c3d610d0a3c

http://gerrit.ovirt.org/gitweb?p=ovirt-engine.git;a=commit;h=3bcdb751d14f9826345f372e2e412c3d610d0a3c

Note You need to log in before you can comment on or make changes to this bug.